<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('purchase_checker_detalis', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('checker_masters_id');
            $table->string('product_id');
            $table->string('quantity');
            $table->string('price');
            $table->string('unit_id');
            $table->string('category_id');
            $table->string('total');
            $table->timestamps();
            $table->foreign('checker_masters_id')->references('id')->on('purchase_checker_masters')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('purchase_checker_detalis');
    }
};
